
Foreman - Bug #2627

repoclosure: virt, locale, commonjs

06/06/2013 05:34 PM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Packaging   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Running repoclosure against nightly EL6 and F18 reveals some issues:

package: foreman-libvirt-1.2.9999-3.201306061242git4c268e8.el6.noarch from undertest

  unresolved deps: 

     ruby193-rubygem(virt) >= 0:0.2.1

package: ruby193-rubygem-gettext-2.3.7-4.el6.noarch from undertest

  unresolved deps: 

     ruby193-rubygem(locale) >= 0:2.0.5

package: ruby193-rubygem-less-2.3.1-4.el6.noarch from undertest

  unresolved deps: 

     ruby193-rubygem(commonjs) < 0:0.3

     ruby193-rubygem(commonjs) >= 0:0.2.6

package: foreman-libvirt-1.2.9999-3.201306061242git4c268e8.fc18.noarch from undertest-yum_f18

  unresolved deps: 

     rubygem(virt) >= 0:0.2.1

package: rubygem-less-2.3.1-5.fc18.noarch from undertest-yum_f18

  unresolved deps: 

     rubygem(commonjs) < 0:0.3

     rubygem(commonjs) >= 0:0.2.6

Associated revisions

Revision 7ac08e59 - 06/07/2013 04:02 AM - Dominic Cleal

fixes #2627 - depend on libvirt, not virt, add missing comps entries

Revision e2f7adad - 06/07/2013 05:04 AM - Dominic Cleal

fixes #2627 - depend on libvirt, not virt, add missing comps entries

(cherry picked from commit 7ac08e59f58eba3c7218bc82b0e88394568501fa)

Conflicts:

foreman.spec

History

#1 - 06/06/2013 05:39 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/702

#2 - 06/07/2013 04:17 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/theforeman/foreman/pull/702


Applied in changeset 7ac08e59f58eba3c7218bc82b0e88394568501fa.
